ReferenceREST API
Internal crypto
Internal crypto utilities
Re-encrypt all credential rows to the given targetVersion
Authorization
bearer Request Body
application/json
targetVersion*number
Target key_version to migrate rows to. Must be a positive integer.
Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/internal/crypto/rewrap" \ -H "Content-Type: application/json" \ -d '{ "targetVersion": 2 }'{
"failed": 0,
"plants": 42,
"targetVersion": 2,
"tradingPartnerConfigs": 5
}{
"code": "VALIDATION_ERROR",
"details": {},
"error": "Bad Request",
"message": "Invalid targetVersion",
"statusCode": 400
}{
"code": "UNAUTHORIZED",
"details": {},
"error": "Unauthorized",
"message": "Unauthorized",
"statusCode": 400
}{
"code": "SUPER_ADMIN_REQUIRED",
"details": {},
"error": "Forbidden",
"message": "SuperAdmin required",
"statusCode": 400
}{
"code": "INTERNAL_SERVER_ERROR",
"details": {},
"error": "Internal Server Error",
"message": "Internal server error",
"statusCode": 400
}